# Class EncodeToken.EndToken

java.lang.Object
htsjdk.samtools.cram.compression.nametokenisation.tokens.EncodeToken
htsjdk.samtools.cram.compression.nametokenisation.tokens.EncodeToken.EndToken

Enclosing class:
  `EncodeToken`

public static class EncodeToken.EndToken extends EncodeToken

## Nested Class Summary

### Nested classes/interfaces inherited from class EncodeToken

`EncodeToken.DupOrDiffToken, EncodeToken.EndToken`

## Constructor Summary

Constructors
Constructor
Description
`EndToken()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActualValue()`
`String`
`getRelativeValue()`

### Methods inherited from class EncodeToken

`getRelativeValueAsInt, getTokenType, hashCode`

### Methods inherited from class Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EndToken

public EndToken()

## Method Details

### getActualValue

public String getActualValue()

Overrides:
  `getActualValue` in class `EncodeToken`

### getRelativeValue

public String getRelativeValue()

Overrides:
  `getRelativeValue` in class `EncodeToken`